package de.intevation.flys.client.client;

import com.google.gwt.i18n.client.ConstantsWithLookup;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public interface FLYSConstants extends ConstantsWithLookup {

    String unexpected_exception();

    String title();

    String fullname();

    String user();

    String guest();

    String projects();

    String open_project();

    String delete_project();

    String rename_project();

    String manage_projects();

    String favorite_tooltip();

    String favorite_tooltip_meaning();

    String projectlist_creationTime();

    String projectlist_title();

    String projectlist_favorite();

    String really_delete();

    String project_name_too_long();

    String logout();

    String switch_language();

    String info();

    String warning();

    String warning_language();

    String no_projects();

    String load_projects();

    String empty_table();

    String date_format();

    String datetime_format();

    String new_project();

    String new_calculation();

    String module_selection();

    String river_selection();

    String winfo();

    String minfo();

    String map();

    String chart();

    String databasket();

    String theme_top();

    String theme_up();

    String theme_down();

    String theme_bottom();

    String zoom_all();

    String zoom_in();

    String zoom_out();

    String pan();

    String fix();

    String next();

    String river_km();

    String uesk_profile_distance();

    String location_distance_state();

    String distance_state();

    String location();

    String locations();

    String distance();

    String unitFrom();

    String unitTo();

    String unitWidth();

    String unitFromInM();

    String unitToInM();

    String unitDiffInM();

    String unitLocation();

    String wrongFormat();

    String description();

    String from();

    String to();

    String riverside();

    String calcTableTitle();

    String helperPanelTitle();

    String wqTitle();

    String wqadaptedTitle();

    String unitWNN();

    String wqW();

    String wqQ();

    String wqQGauge();

    String wqSingle();

    String wqRange();

    String unitWSingle();

    String unitWFrom();

    String unitWTo();

    String unitWStep();

    String unitQSingle();

    String unitQFrom();

    String unitQTo();

    String unitQStep();

    String footerHome();

    String footerContact();

    String footerImpressum();

    String buttonNext();

    String imageBack();

    String imageSave();

    // OUTPUT TYPES

    String discharge_curve();

    String computed_discharge_curve();

    String longitudinal_section();

    String duration_curve();

    String name();

    String type();

    String wq_value();

    String discharge_longitudinal_section();

    // EXPORTS

    String waterlevel_export();

    String waterlevel_report();

    String computed_dischargecurve_at_export();

    String discharge_longitudinal_section_export();

    String discharge_longitudinal_section_report();

    String computed_dischargecurve_export();

    String computed_dischargecurve_report();

    String durationcurve_export();

    String durationcurve_report();

    String dataexport();

    String csv();

    String wst();

    String at();

    String chart_themepanel_header_themes();

    // ERRORS

    String error_read_minmax_values();

    String error_validate_range();

    String error_validate_lower_range();

    String error_validate_upper_range();

    String error_create_artifact();

    String error_describe_artifact();

    String error_feed_data();

    String error_advance_artifact();

    String error_add_artifact();

    String error_create_collection();

    String error_describe_collection();

    String error_no_rivers_found();

    String error_no_such_user();

    String error_not_logged_in();

    String error_load_parameterization();

    String error_feed_no_data();

    String error_feed_from_out_of_range();

    String error_feed_to_out_of_range();

    String error_feed_from_bigger_to();

    String error_feed_invalid_wq_mode();

    String error_feed_number_format_float();

    String error_feed_invalid_calculation_mode();

    String error_feed_no_calculation_mode();

    String error_feed_no_such_river();

    String error_feed_no_river_selected();

    String error_feed_no_wq_mode_selected();

    String error_feed_q_values_invalid();

    String error_feed_w_values_invalid();

    String error_no_meta_data_found();

    String error_chart_info_service();

    String error_invalid_double_value();

    String bottom_edge();

    String top_edge();
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
